Parameters

No parameters.
GET/v1/orders/{{order_id}}
curl https://api.tradly.app/v1/orders/{{order_id}} \
  -H "Authorization: Bearer YOUR_PUBLISHABLE_OR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
RESPONSE
{
  "status": true,
  "data": {
    "order": {
      "id": 5555,
      "reference_number": "ORD-1001-XYZ",
      "tenant_id": 1,
      "user_id": 1024,
      "type": "listings",
      "order_status": 2,
      "order_status_description": "Order Placed",
      "payment_status": 2,
      "payment_status_description": "Paid",
      "completed": false,
      "created_at": 1753456789,
      "updated_at": 1753456789,
      "currency": "USD",
      "list_total": {
        "amount": 100,
        "formatted": "$100.00"
      },
      "offer_total": {
        "amount": 90,
        "formatted": "$90.00"
      },
      "tax_total": {
        "amount": 5,
        "formatted": "$5.00"
      },
      "shipping_total": {
        "amount": 10,
        "formatted": "$10.00"
      },
      "grand_total": {
        "amount": 105,
        "formatted": "$105.00"
      },
      "user": {
        "id": 1024,
        "unique_id": "usr_99812",
        "first_name": "John",
        "last_name": "Doe",
        "email": "john.doe@example.com",
        "dial_code": "+1",
        "mobile_number": "5550192",
        "profile_pic": "https://media.tradly.app/images/users/1024.jpg"
      },
      "account_ids": [
        42
      ],
      "payment_method": {
        "id": 1,
        "name": "Stripe",
        "type": "card",
        "gateway_name": "stripe"
      },
      "shipping_method": {
        "id": 5,
        "name": "Standard Delivery",
        "type": "flat_rate",
        "shipping_charge": 10
      },
      "shipping_address": {
        "id": 12,
        "name": "John Doe",
        "phone_number": "+1 5550192",
        "address_line_1": "123 Market Street",
        "address_line_2": "Suite 400",
        "city": "San Francisco",
        "state": "California",
        "zip_code": "94105",
        "country": "United States",
        "landmark": "Near Central Park"
      },
      "customer_pricing": {
        "grand_total": {
          "amount": 105,
          "formatted": "$105.00"
        },
        "items": [
          {
            "name": "Sub Total",
            "amount": 90,
            "type": "customer_sub_total"
          },
          {
            "name": "Shipping Charge",
            "amount": 10,
            "type": "customer_shipping_charge"
          },
          {
            "name": "Tax",
            "amount": 5,
            "type": "customer_tax"
          }
        ]
      },
      "account_pricing": {
        "total_earnings": {
          "amount": 85.5,
          "formatted": "$85.50"
        },
        "items": [
          {
            "name": "Sub Total",
            "amount": 90,
            "type": 2
          },
          {
            "name": "Commission",
            "amount": -4.5,
            "type": 3
          }
        ]
      },
      "order_details": [
        {
          "id": 8801,
          "order_id": 5555,
          "listing_id": 503243,
          "quantity": 1,
          "list_price": {
            "amount": 100,
            "formatted": "$100.00"
          },
          "offer_price": {
            "amount": 90,
            "formatted": "$90.00"
          },
          "special_price": {
            "amount": 0,
            "formatted": "$0.00"
          },
          "tax_charges": {
            "amount": 5,
            "formatted": "$5.00"
          },
          "shipping_charges": {
            "amount": 10,
            "formatted": "$10.00"
          },
          "schedule_start_at": "2026-08-10",
          "schedule_end_at": "2026-08-12",
          "schedule_start_at_epoch": 1754870400,
          "schedule_end_at_epoch": 1755043200,
          "listing": {
            "id": 503243,
            "title": "Wireless Noise-Canceling Headphones",
            "description": "High fidelity audio with active noise cancellation.",
            "slug": "wireless-headphones-503243",
            "images": [
              "https://media.tradly.app/images/listings/503243/img1.jpg"
            ],
            "account_id": 42,
            "review_status": false
          },
          "variant": {
            "id": 102,
            "title": "Black / Large",
            "variant_values": [
              {
                "variant_type_id": 1,
                "variant_type_value_id": 10
              }
            ]
          }
        }
      ],
      "shipment": {
        "id": 401,
        "shipment_status": 1,
        "tracking_number": "TRK987654321",
        "courier_name": "DHL Express",
        "shipped_at": "2026-08-10T10:00:00Z",
        "delivered_at": null
      }
    }
  }
}